org.apache.fontbox.cff

## Class CFFCIDFont

- java.lang.Object
- - org.apache.fontbox.cff.CFFFont
  - - org.apache.fontbox.cff.CFFCIDFont

All Implemented Interfaces:
  FontBoxFont

    public class CFFCIDFont
    extends CFFFont

A Type 0 CIDFont represented in a CFF file. Thread safe.

Author:
  Villu Ruusmann, John Hewson

### Field Summary

### Fields inherited from class org.apache.fontbox.cff.CFFFont

`charStrings, globalSubrIndex, topDict`

### Constructor Summary

Constructors
Constructor and Description
`CFFCIDFont()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FDSelect` `getFdSelect()` Returns the fdSelect value.
`List<Map<String,Object>>` `getFontDicts()` Returns the font dictionaries.
`String` `getOrdering()` Returns the ordering value.
`GeneralPath` `getPath(String selector)` Returns the path for the character with the given name.
`List<Map<String,Object>>` `getPrivDicts()` Returns the private dictionary.
`String` `getRegistry()` Returns the registry value.
`int` `getSupplement()` Returns the supplement value.
`CIDKeyedType2CharString` `getType2CharString(int cid)` Returns the Type 2 charstring for the given CID.
`float` `getWidth(String selector)` Returns the advance width for the character with the given name.
`boolean` `hasGlyph(String selector)` Returns true if the font contains the given glyph.

### Methods inherited from class org.apache.fontbox.cff.CFFFont

`addValueToTopDict, getCharset, getCharStringBytes, getData, getFontBBox, getFontMatrix, getGlobalSubrIndex, getName, getNumCharStrings, getTopDict, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CFFCIDFont

    public CFFCIDFont()

### Method Detail

#### getRegistry

    public String getRegistry()

Returns the registry value.

Returns:
  the registry

#### getOrdering

    public String getOrdering()

Returns the ordering value.

Returns:
  the ordering

#### getSupplement

    public int getSupplement()

Returns the supplement value.

Returns:
  the supplement

#### getFontDicts

    public List<Map<String,Object>> getFontDicts()

Returns the font dictionaries.

Returns:
  the fontDict

#### getPrivDicts

    public List<Map<String,Object>> getPrivDicts()

Returns the private dictionary.

Returns:
  the privDict

#### getFdSelect

    public FDSelect getFdSelect()

Returns the fdSelect value.

Returns:
  the fdSelect

#### getType2CharString

    public CIDKeyedType2CharString getType2CharString(int cid)
                                               throws IOException

Returns the Type 2 charstring for the given CID.

Specified by:
  `getType2CharString` in class `CFFFont`
Parameters:
  `cid` - CID
Returns:
  the Type2 charstring of the given cid/gid
Throws:
  `IOException` - if the charstring could not be read

#### getPath

    public GeneralPath getPath(String selector)
                        throws IOException

Description copied from interface: `FontBoxFont`
Returns the path for the character with the given name.

Parameters:
  `selector` - PostScript glyph name
Returns:
  glyph path
Throws:
  `IOException` - if the path could not be read

#### getWidth

    public float getWidth(String selector)
                   throws IOException

Description copied from interface: `FontBoxFont`
Returns the advance width for the character with the given name.

Parameters:
  `selector` - PostScript glyph name
Returns:
  glyph advance width
Throws:
  `IOException` - if the path could not be read

#### hasGlyph

    public boolean hasGlyph(String selector)
                     throws IOException

Description copied from interface: `FontBoxFont`
Returns true if the font contains the given glyph.

Parameters:
  `selector` - PostScript glyph name
Returns:
  true if the font contains a glyph with the given name, otherwise false
Throws:
  `IOException` - if something went wrong when accessing the font data